Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

How can you downgrade from 1.0.1.27 to 1.0.1.25

Discussion in 'Phantom 2 Vision + Discussion' started by ocphantom, May 11, 2014.

  1. ocphantom

    Joined:
    Apr 25, 2014
    Messages:
    98
    Likes Received:
    0
    I had CB 1.0.1.25 and MC 1.08. Phantom and gimbal worked fine.

    Accidentally opened up PA 3.0 and it automatically upgraded my CB to 1.0.1.27.

    After that these issues came about:

    1) Flew the phantom and the gimbal before CSC was level, but after CSC and it was in the air had a slight tilt
    2) then would twitch left to center continuously.
    3) When I land I get the "gimbal error" message on my iPhone fpv screen.
    4) The Phantom also doesn't hover as well. Drifts and changed altitude by a few feet.
    5) there is now the jello affect on my videos.
    6) mismatch error message in PA

    I'm thinking 1.0.1.27 doesn't like 1.08.

    Appreciate the advice. Thanks.